DOM::HTMLFrameElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLFrameElement Class Reference

Create a frame. More...

`#include <html_base.h>`

Inheritance diagram for DOM::HTMLFrameElement:

[legend]
Collaboration diagram for DOM::HTMLFrameElement:

[legend]
List of all members.

## Public Member Functions
| HTMLFrameElement (const HTMLFrameElement &other)
| HTMLFrameElement (const Node &other)
HTMLFrameElement & | operator= (const HTMLFrameElement &other)
HTMLFrameElement & | operator= (const Node &other)
DOMString | frameBorder () const
| Request frame borders.
void | setFrameBorder (const DOMString &)
| see frameBorder
DOMString | longDesc () const
| URI designating a long description of this image or frame.
void | setLongDesc (const DOMString &)
| see longDesc
DOMString | marginHeight () const
| Frame margin height, in pixels.
void | setMarginHeight (const DOMString &)
| see marginHeight
DOMString | marginWidth () const
| Frame margin width, in pixels.
void | setMarginWidth (const DOMString &)
| see marginWidth
DOMString | name () const
| The frame name (object of the `target` attribute).
void | setName (const DOMString &)
| see name
bool | noResize () const
| When true, forbid user from resizing frame.
void | setNoResize (bool)
| see noResize
DOMString | scrolling () const
| Specify whether or not the frame should have scrollbars.
void | setScrolling (const DOMString &)
| see scrolling
DOMString | src () const
| A URI designating the initial frame contents.
void | setSrc (const DOMString &)
| see src
Document | contentDocument () const
| Introduced in DOM Level 2.
## Protected Member Functions
| HTMLFrameElement (HTMLFrameElementImpl *impl)

## Detailed Description

Create a frame.

See the FRAME element definition in HTML 4.0.

Definition at line 162 of file html_base.h.

## Member Function Documentation

DOMString HTMLFrameElement::frameBorder | ( |  | ) | const

| Request frame borders. See the frameborder attribute definition in HTML 4.0. Definition at line 152 of file html_base.cpp.

void HTMLFrameElement::setFrameBorder | ( | const DOMString & |  | ) |

| see frameBorder Definition at line 158 of file html_base.cpp.

DOMString HTMLFrameElement::longDesc | ( |  | ) | const

| URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0. Definition at line 163 of file html_base.cpp.

void HTMLFrameElement::setLongDesc | ( | const DOMString & |  | ) |

| see longDesc Definition at line 169 of file html_base.cpp.

DOMString HTMLFrameElement::marginHeight | ( |  | ) | const

| Frame margin height, in pixels. See the marginheight attribute definition in HTML 4.0. Definition at line 174 of file html_base.cpp.

void HTMLFrameElement::setMarginHeight | ( | const DOMString & |  | ) |

| see marginHeight Definition at line 180 of file html_base.cpp.

DOMString HTMLFrameElement::marginWidth | ( |  | ) | const

| Frame margin width, in pixels. See the marginwidth attribute definition in HTML 4.0. Definition at line 185 of file html_base.cpp.

void HTMLFrameElement::setMarginWidth | ( | const DOMString & |  | ) |

| see marginWidth Definition at line 191 of file html_base.cpp.

DOMString HTMLFrameElement::name | ( |  | ) | const

| The frame name (object of the `target` attribute). See the name attribute definition in HTML 4.0. Definition at line 196 of file html_base.cpp.

void HTMLFrameElement::setName | ( | const DOMString & |  | ) |

| see name Definition at line 202 of file html_base.cpp.

bool HTMLFrameElement::noResize | ( |  | ) | const

| When true, forbid user from resizing frame. See the noresize attribute definition in HTML 4.0. Definition at line 207 of file html_base.cpp.

void HTMLFrameElement::setNoResize | ( | bool |  | ) |

| see noResize Definition at line 213 of file html_base.cpp.

DOMString HTMLFrameElement::scrolling | ( |  | ) | const

| Specify whether or not the frame should have scrollbars. See the scrolling attribute definition in HTML 4.0. Definition at line 224 of file html_base.cpp.

void HTMLFrameElement::setScrolling | ( | const DOMString & |  | ) |

| see scrolling Definition at line 230 of file html_base.cpp.

DOMString HTMLFrameElement::src | ( |  | ) | const

| A URI designating the initial frame contents. See the src attribute definition in HTML 4.0. Definition at line 235 of file html_base.cpp.

void HTMLFrameElement::setSrc | ( | const DOMString & |  | ) |

| see src Definition at line 241 of file html_base.cpp.

Document HTMLFrameElement::contentDocument | ( |  | ) | const

| Introduced in DOM Level 2. Returns the document this frame contains, if there is any and it is available, a Null document otherwise. The attribute is read-only. Returns: The content Document if available. Definition at line 246 of file html_base.cpp.

The documentation for this class was generated from the following files:

- html_base.h
- html_base.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:36:59 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001